import {baseRequest} from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/depotGrainInfo/` + url, ...arg)

/**
 * 企业客户信息表Api接口管理器
 *
 * @author xiang
 * @date  2023/09/14 15:00
 **/
export default {
	// 企业客户上传文件
	depotGrainInfoFileUpload(data) {
		return request('fileUpload', data)
	},
	// 获取企业客户上传文件
	depotGrainInfoFileLst(data) {
		return request('fileLst', data, 'get')
	},
	// 删除企业客户上传文件
	depotGrainInfoFileDelete(data) {
		return request('fileDelete', data, 'get')
	},
	// 删除企业客户上传文件
	depotGrainInfoFileDetail(data) {
		return request('fileDetail', data, 'get')
	},

	// 获取企业客户信息表分页
	depotGrainInfoPage(data) {
		return request('page', data, 'get')
	},
	// 获取企业客户信息表列表
	depotGrainInfoList(data) {
		return request('list', data, 'get')
	},
	// 提交企业客户信息表表单 edit为true时为编辑，默认为新增
	depotGrainInfoSubmitForm(data, edit = false) {
		return request(edit ? 'add' : 'edit', data)
	},
	// 删除企业客户信息表
	depotGrainInfoDelete(data) {
		return request('delete', data)
	},
	// 获取企业客户信息表详情
	depotGrainInfoDetail(data) {
		return request('detail', data, 'get')
	}
}
